Status of the ATI GPU Version ?

Moderator: BarsMonster

User avatar
BarsMonster
Site Admin
Posts: 1118
Joined: Wed Oct 01, 2008 7:58 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by BarsMonster » Tue Jan 06, 2009 7:43 pm

DarkPrince wrote:
BarsMonster wrote:
What card do you have, and what is exact driver version?
Had my friends card, cant remember what it was now but i gave it back to him...

Only got ATI mobility radeon x1400 in my laptop...

Or do you think i can use that one to? lol
Probably that was a dusty Radeon 9600 or something :crazy:
HD2400+ should work (but some say 2xxx will not work)

DarkPrince
Posts: 148
Joined: Wed Oct 15, 2008 5:50 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by DarkPrince » Tue Jan 06, 2009 8:39 pm

BarsMonster wrote:
DarkPrince wrote:
BarsMonster wrote:
What card do you have, and what is exact driver version?
Had my friends card, cant remember what it was now but i gave it back to him...

Only got ATI mobility radeon x1400 in my laptop...

Or do you think i can use that one to? lol
Probably that was a dusty Radeon 9600 or something :crazy:
HD2400+ should work (but some say 2xxx will not work)

lol yeah i guess, but i dont think so^^

but what do you think about the ATI mobility radeon x1400 :P

User avatar
BarsMonster
Site Admin
Posts: 1118
Joined: Wed Oct 01, 2008 7:58 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by BarsMonster » Tue Jan 06, 2009 8:47 pm

DarkPrince wrote:lol yeah i guess, but i dont think so^^

but what do you think about the ATI mobility radeon x1400 :P
It would not work for 100% :-)

User avatar
Rolf
Posts: 122
Joined: Fri Dec 26, 2008 10:48 am
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by Rolf » Tue Jan 06, 2009 9:16 pm

BarsMonster wrote:...dusty Radeon 9600...
Hey, I've got one of those :crazy:

DarkPrince
Posts: 148
Joined: Wed Oct 15, 2008 5:50 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by DarkPrince » Tue Jan 06, 2009 9:42 pm

BarsMonster wrote:
DarkPrince wrote:lol yeah i guess, but i dont think so^^

but what do you think about the ATI mobility radeon x1400 :P
It would not work for 100% :-)
do you have the dll so you can share it with me cuz i can't seem to find it for my laptop either lol

User avatar
BarsMonster
Site Admin
Posts: 1118
Joined: Wed Oct 01, 2008 7:58 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by BarsMonster » Tue Jan 06, 2009 10:55 pm

DarkPrince wrote:do you have the dll so you can share it with me cuz i can't seem to find it for my laptop either lol
As your laptop have x1xxx card, it is not being installed as it does not support Brook/CAL, so sharing this DLL won't help (especially cause I have 64-bit drivers)

DarkPrince
Posts: 148
Joined: Wed Oct 15, 2008 5:50 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by DarkPrince » Tue Jan 06, 2009 11:45 pm

BarsMonster wrote:
DarkPrince wrote:do you have the dll so you can share it with me cuz i can't seem to find it for my laptop either lol
As your laptop have x1xxx card, it is not being installed as it does not support Brook/CAL, so sharing this DLL won't help (especially cause I have 64-bit drivers)

oh wait you sait not work lol... i didnt see the not

cudame
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by cudame » Wed Jan 07, 2009 1:03 am

Tried to run the BookX64 but it only ran on my CPU and then after 5-10 seconds it froze up.

Running on a Radeon HD 3450 256 MB Driver 8.513.1.1000

Vista 64 bit on an Intel Q8200 2.33 GHz

Any thoughts?

User avatar
BarsMonster
Site Admin
Posts: 1118
Joined: Wed Oct 01, 2008 7:58 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by BarsMonster » Wed Jan 07, 2009 1:49 am

If it freezes even with -c 0 charset, it should be CPU/GPU instability... You may isolate this by running Orthos / FurMark 0x aa

roflkopter
Posts: 5
Joined: Tue Jan 06, 2009 3:38 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by roflkopter » Wed Jan 07, 2009 9:18 am

Radeon HD 3450 256 MB
Same card as mine, same problem ;-)

cudame
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by cudame » Wed Jan 07, 2009 3:42 pm

Did some research on the HD 3450 Card. The driver I posted before is not the lastest driver, however there have been a lot of issues with the 8.12 Driver set (Actual Driver is something like 8.56.1 ) that just came out and it is the only one I believe that supports Brooks.

I have a Dell 530 with 6 GB of Memory and one of the message boards thinks that the issue is with having more than 4 GB of memory on the system running 3XXX and 2XXX cards. It might be that we'll have to wait for ATI/AMD to come out with a new driver. (I'm not able to put the 8.12 video driver on my Dell).

User avatar
BarsMonster
Site Admin
Posts: 1118
Joined: Wed Oct 01, 2008 7:58 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by BarsMonster » Wed Jan 07, 2009 4:10 pm

I see... 8.561-081201a1-072276C-ATI (8.12) is fine with 8Gb, but I'm on 4xxx
Anyway, this still might be an issue with my program )

christiaan_c
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by christiaan_c » Fri Jan 09, 2009 5:35 pm

Hi,

I tried your md5 cracker but I can't start it.
If i run it i get a windows fault, error 0xc0000001d (program crash)
I have a hd 3850 and installed catalyst 8.12 and cal/brook/visual studio
do i need to install something else?

thnx

User avatar
BarsMonster
Site Admin
Posts: 1118
Joined: Wed Oct 01, 2008 7:58 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by BarsMonster » Fri Jan 09, 2009 6:04 pm

christiaan_c wrote:Hi,

I tried your md5 cracker but I can't start it.
If i run it i get a windows fault, error 0xc0000001d (program crash)
I have a hd 3850 and installed catalyst 8.12 and cal/brook/visual studio
do i need to install something else?

thnx
Hmm... Looks like you have everything needed, are you sure you are running proper version (32bin on 32bit OS or 64bit on 64bit OS)?
Could you try simple SSE2 one?
People with 3xxx having problems right now because of drivers, let's hope AmD guys would fix em soon

knapish
Posts: 33
Joined: Wed Oct 29, 2008 4:09 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by knapish » Sat Jan 10, 2009 2:59 pm

BarsMonster wrote:Brook beta
http://3.14.by/files/BarsWF_Brook_x64.zip
http://3.14.by/files/BarsWF_Brook_x32.zip

Let me know if you have any problems. Let it find 5-10 passwords on your hardware.
Don't be scared that it reserves 1 CPU core just for AMD card.
Please post your speed here :-)
Hardware supported: 2xxx, 3xxx, 4xxx (i hope :crazy:)
first of all i think its bugged with multipler cards.. :mad: the program just dies when im using it with quad asus 4870x2. The screen turns black and beeps then blue for some seconds and after that the screen comes back with VPU recovery and then its working normaly.. :wall:
but with single card its working great! 1198.82 MHash/s! :D with single asus 4870 512mb, gpu clock 900mhz and memory clock 900mhz. with memory clock 1050 its getting unstable and working around 850 MHash/s and 1350 MHash/s. :sad:

What the fuck? :ugeek:
bars2.JPG

User avatar
BarsMonster
Site Admin
Posts: 1118
Joined: Wed Oct 01, 2008 7:58 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by BarsMonster » Sat Jan 10, 2009 5:13 pm

Multiple cards have bad support in Brook, and especially x2 one, I hope this would be fixed in a future.
We will have more options to try with 0.9 release which will have gpu_time for AMD, we'll need to try smaller gpu_time

asl
Posts: 28
Joined: Tue Dec 30, 2008 4:14 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by asl » Sat Jan 10, 2009 5:21 pm

I noticed something. Continue previous work (-r) doesn't work :| The Minimal password length (-min_len) also didn't work.

I used this command: BarsWF_Brook_x32.exe -h 21685d282d79098b89bdf5a916b66c90 -c 0aA~ -min_len 12
Attachments
x.PNG
x.PNG (14.4 KiB) Viewed 17421 times

User avatar
BarsMonster
Site Admin
Posts: 1118
Joined: Wed Oct 01, 2008 7:58 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by BarsMonster » Sat Jan 10, 2009 5:24 pm

I confirm the issue, in this beta version is had some temporary code changes which made these options non-working. It would be fully working in non-beta release.

christiaan_c
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by christiaan_c » Sat Jan 17, 2009 10:57 am

BarsMonster wrote:
christiaan_c wrote:Hi,

I tried your md5 cracker but I can't start it.
If i run it i get a windows fault, error 0xc0000001d (program crash)
I have a hd 3850 and installed catalyst 8.12 and cal/brook/visual studio
do i need to install something else?

thnx
Hmm... Looks like you have everything needed, are you sure you are running proper version (32bin on 32bit OS or 64bit on 64bit OS)?
Could you try simple SSE2 one?
People with 3xxx having problems right now because of drivers, let's hope AmD guys would fix em soon

I tried the SSE2 version and it crashes but I discoverd that my cpu doesn't support sse2 (xp3200+)
But I installed visual studio 2008 and now I can start the ati version, I don't get the windows fault which i did get before.
I got a new error that says it can't find brook.dll

User avatar
BarsMonster
Site Admin
Posts: 1118
Joined: Wed Oct 01, 2008 7:58 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by BarsMonster » Sat Jan 17, 2009 1:38 pm

christiaan_c wrote:I tried the SSE2 version and it crashes but I discoverd that my cpu doesn't support sse2 (xp3200+)
But I installed visual studio 2008 and now I can start the ati version, I don't get the windows fault which i did get before.
I got a new error that says it can't find brook.dll
All versions require SSE2 support.
So even if you would find brook.dll (with latest ATI drivers) it will not run anyway.
You might thing of an upgrade :-)

DarkPrince
Posts: 148
Joined: Wed Oct 15, 2008 5:50 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by DarkPrince » Wed Jan 21, 2009 6:54 pm

how far from the distrubuted version?

i wanna see 50,000,000,000 hashes/s

User avatar
Igor
Posts: 19
Joined: Sun Nov 09, 2008 12:22 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by Igor » Sun Feb 15, 2009 3:26 pm

Seem to run into the same problem as DarkPrince here; with a Radeon HD 4850 X2 on XP64. The amd/ati driver select page leads to the catalyst driver version 9.1 - according to the CCC this is driver package version 8.57, individual drivers are 6.14.x. BarsWF complains about amdcalcl64.dll missing - all sample apps from the AMDstream beta 1.30 (which is also installed) do complain about missing dll-files.

And of course there's not a single file matching amd*.dll on the system. Any ideas? Or does someone have a link to a slightly older catalyst driver I could try? It seems to me as if the files are just not included in the driver package I used.

User avatar
BarsMonster
Site Admin
Posts: 1118
Joined: Wed Oct 01, 2008 7:58 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by BarsMonster » Sun Feb 15, 2009 6:28 pm

Hmmm.... That's strange, I have Catalyst 8.12, probably something've changed in 9.1

asl
Posts: 28
Joined: Tue Dec 30, 2008 4:14 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by asl » Sun Feb 15, 2009 6:39 pm

Use the 8.12. The 9.1 doesn't work for me too.

how far from the distrubuted version?
Yea I also would like to know that :crazy:

User avatar
Igor
Posts: 19
Joined: Sun Nov 09, 2008 12:22 pm
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Re: Status of the ATI GPU Version ?

Post by Igor » Tue Feb 17, 2009 3:00 pm

asl wrote:Use the 8.12. The 9.1 doesn't work for me too.
It works with the 8.12 catalyst drivers. However, using set BRT_ADAPTER=1 nets this:

Image

Using set BRT_ADAPTER=0 or not setting it all will let it run nice and smoothly at around 890 MHash/second. I can't test more, since the card went away.

Post Reply
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/twig/twig/lib/Twig/Extension/Core.php on line 1266: count(): Parameter must be an array or an object that implements Countable

Who is online

Users browsing this forum: No registered users and 1 guest